| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Private Attributes

# IG::Num::Func3d2dExamples::Parabolloid Class Reference

Surface that is a graph of the function z/c=x^2/a^2+y^2/b^2. More...

Inheritance diagram for IG::Num::Func3d2dExamples::Parabolloid:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::Parabolloid:
[legend]

List of all members.

## Public Member Functions
| Parabolloid ()
| Constructs a rotationally symmetric parabolloid.
| Parabolloid (double a)
| Constructs a rotationally symmetric parabolloid.
| Parabolloid (double a, double c)
| Constructs a rotationally symmetric parabolloid.
| Parabolloid (double a, double b, double c)
| Constructs a parabolloid.
## Public Attributes
double | a
## Protected Member Functions
override double | f3 (double x, double y)
## Private Attributes
double | b
double | c

## Detailed Description

Surface that is a graph of the function z/c=x^2/a^2+y^2/b^2.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::Parabolloid::Parabolloid | ( |  | ) | `[inline]`

Constructs a rotationally symmetric parabolloid.

IG::Num::Func3d2dExamples::Parabolloid::Parabolloid | ( | double | a | ) | `[inline]`

Constructs a rotationally symmetric parabolloid.

Parameters:

  a | Measure of curvature in the x-z nad in the y-z plane.

IG::Num::Func3d2dExamples::Parabolloid::Parabolloid | ( | double | a,
|  | double | c
| ) |  | `[inline]`

Constructs a rotationally symmetric parabolloid.

Parameters:

  a | Measure of curvature in the x-z nad in the y-z plane.
  c | Stretching factor in z direction.

IG::Num::Func3d2dExamples::Parabolloid::Parabolloid | ( | double | a,
|  | double | b,
|  | double | c
| ) |  | `[inline]`

Constructs a parabolloid.

Parameters:

  a | Measure of curvature in the x-z plane.
  b | Measure of curvature in the y-z plane.
  c | Stretching factor in z direction.

## Member Function Documentation

override double IG::Num::Func3d2dExamples::Parabolloid::f3 | ( | double | x,
|  | double | y
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

## Member Data Documentation

double IG::Num::Func3d2dExamples::Parabolloid::a

double IG::Num::Func3d2dExamples::Parabolloid::b`[private]`

double IG::Num::Func3d2dExamples::Parabolloid::c`[private]`

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events